{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTMobMPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTMobMPickupView.json",
  "name" : "TESTMobMPickupView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "MobMPickupView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "List",
    "controlStyle" : "LISTVIEW",
    "controlType" : "LIST",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSLISTS/List.json",
    "emptyText" : "无数据",
    "getEmptyTextPSLanguageRes" : {
      "lanResTag" : "COMMON.CONDITION.NOTIN",
      "lanResType" : "COMMON",
      "name" : "通用[CONDITION.NOTIN]",
      "refFlag" : true
    },
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "getADPSAppDELogic" : {
        "modelref" : true,
        "id" : "logic1"
      },
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ONLOADSUCCESS" ],
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "field_text_dynamic",
        "viewFieldName" : "TESTID"
      }, {
        "id" : "field_text_dynamic1",
        "viewFieldName" : "TESTNAME"
      }, {
        "id" : "field_textbox",
        "viewFieldName" : "TESTNAME"
      }, {
        "id" : "field_textbox1",
        "viewFieldName" : "TESTNAME"
      }, {
        "id" : "field_textbox2",
        "viewFieldName" : "TESTNAME"
      } ],
      "codeName" : "Usr0522433048",
      "controlType" : "PANEL",
      "layoutMode" : "TABLE_24COL",
      "logicName" : "List_列表项面板",
      "name" : "simplelist_itempanel",
      "getPSControlParam" : { },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRootPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 6,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field_text_dynamic",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "TESTID",
            "hidden" : false,
            "showCaption" : false
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 6,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic1",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field_text_dynamic1",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "TESTNAME",
            "hidden" : false,
            "showCaption" : false
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      }, {
        "caption" : "文本框",
        "contentHeight" : 60.0,
        "contentWidth" : 400.0,
        "height" : 60.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_textbox",
        "getPSEditor" : {
          "editorHeight" : 60.0,
          "editorType" : "RAW",
          "editorWidth" : 400.0,
          "name" : "field_textbox",
          "predefinedType" : "FIELD_TEXTBOX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "height" : 60,
          "heightMode" : "PX",
          "layout" : "TABLE_24COL",
          "width" : 400,
          "widthMode" : "PX"
        },
        "viewFieldName" : "TESTNAME",
        "width" : 400.0,
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "文本框",
        "contentHeight" : 100.0,
        "contentWidth" : 600.0,
        "height" : 100.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_textbox1",
        "getPSEditor" : {
          "editorHeight" : 100.0,
          "editorParams" : {
            "contenttype" : "RAW"
          },
          "editorType" : "RAW",
          "editorWidth" : 600.0,
          "name" : "field_textbox1",
          "predefinedType" : "FIELD_TEXTBOX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "height" : 100,
          "heightMode" : "PX",
          "layout" : "TABLE_24COL",
          "width" : 600,
          "widthMode" : "PX"
        },
        "viewFieldName" : "TESTNAME",
        "width" : 600.0,
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "文本框",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_textbox2",
        "getPSEditor" : {
          "contentType" : "HTML",
          "editorParams" : {
            "contenttype" : "HTML"
          },
          "editorType" : "RAW",
          "name" : "field_textbox2",
          "predefinedType" : "FIELD_TEXTBOX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "viewFieldName" : "TESTNAME",
        "hidden" : false,
        "showCaption" : false
      } ],
      "modelid" : "01B1D530-723C-4CB4-A877-5F5E3CFC11AF",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "List",
    "minorSortDir" : "DESC",
    "getMinorSortPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    },
    "mobListStyle" : "LISTVIEW",
    "navFilter" : "aa",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTTestChartView.json",
      "viewType" : "DECHARTVIEW"
    },
    "navViewParamJO" : {
      "test" : "11"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "getADPSAppDELogic" : {
          "modelref" : true,
          "id" : "logic1"
        },
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "22",
      "eventArg2" : "22",
      "eventNames" : "onLoadSuccess",
      "itemName" : "TESTNAME",
      "logicTag" : "simplelist",
      "logicType" : "SCRIPT",
      "name" : "test",
      "scriptCode" : "console.log('test列表逻辑');"
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SIMPLELIST"
    },
    "getPSControls" : [ {
      "codeName" : "MobMPickupViewsimplelist_quicktoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "当前页聚合_工具栏",
      "name" : "simplelist_quicktoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "simplelist_quicktoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "caption" : "保存并关闭",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "simplelist_quicktoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandclose"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "保存并关闭",
            "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
            "refFlag" : true
          },
          "caption" : "保存并关闭",
          "codeName" : "SaveAndExit",
          "fullCodeName" : "SaveAndExit",
          "name" : "编辑界面_保存并退出操作",
          "getPSSysImage" : {
            "cssClass" : "sx-tb-saveandclose"
          },
          "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "保存并关闭",
            "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "SaveAndExit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存并关闭",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "B52C7ACD-F8AA-414C-9636-43AC0D555EE8",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "MobMPickupViewsimplelist_batchtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "行编辑测试_工具栏",
      "name" : "simplelist_batchtoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "simplelist_batchtoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "刷新",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "simplelist_batchtoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "刷新",
          "codeName" : "Refresh",
          "fullCodeName" : "Refresh",
          "name" : "编辑界面_刷新操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "EDITVIEW_REFRESHACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Refresh",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "2FD9649F-4DCD-43C3-8FEE-CD6FFF00C3E2",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "testid",
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      }
    }, {
      "dataType" : 25,
      "name" : "testname"
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    } ],
    "getPSNavigateParams" : [ {
      "key" : "test",
      "name" : "test",
      "value" : "11",
      "rawValue" : true
    } ],
    "pagingSize" : 30,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "hasWFDataItems" : false,
    "enableGroup" : false,
    "enableRowEdit" : false,
    "enableRowEditGroup" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "name" : "simplelist",
    "modelid" : "85F275B0-E355-42B6-89DD-25541320AFEC",
    "modeltype" : "PSDELIST"
  }, {
    "codeName" : "testSearchBar",
    "controlType" : "SEARCHBAR",
    "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar.json",
    "groupMoreText" : "更多分组",
    "logicName" : "搜索栏（Test）",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "SEARCHBAR"
    },
    "getPSSearchBarFilters" : [ {
      "caption" : "类型(%)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "filter",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TYPE_LIKE",
        "name" : "N_TYPE_LIKE",
        "stdDataType" : 25,
        "valueOP" : "LIKE"
      },
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "filter"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "类型(=)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TYPE_EQ",
        "name" : "N_TYPE_EQ",
        "stdDataType" : 25,
        "valueOP" : "EQ"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "type",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/Test__TestType.json"
        },
        "placeHolder" : "请选择输入",
        "singleSelect" : true
      },
      "width" : 200.0,
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "needCodeListConfig" : true,
      "showCaption" : false
    }, {
      "caption" : "测试实体名称(%)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TESTNAME_LIKE",
        "name" : "N_TESTNAME_LIKE",
        "stdDataType" : 25,
        "valueOP" : "LIKE"
      },
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "testname"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "field",
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "field"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "n_custom_eq",
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "n_custom_eq"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    } ],
    "getPSSearchBarGroups" : [ {
      "caption" : "分组1",
      "itemType" : "GROUP",
      "name" : "group1",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组2",
      "itemType" : "GROUP",
      "name" : "group2",
      "width" : 0.0,
      "addSeparator" : false,
      "defaultGroup" : true
    }, {
      "caption" : "分组3",
      "itemType" : "GROUP",
      "name" : "group3",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组444444444444444444444444",
      "itemType" : "GROUP",
      "name" : "group4444444444",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组55555555555555555",
      "itemType" : "GROUP",
      "name" : "group5555555555",
      "width" : 0.0,
      "addSeparator" : false
    } ],
    "quickGroupCount" : 2,
    "quickSearchMode" : 2,
    "quickSearchWidth" : 0,
    "enableFilter" : true,
    "enableGroup" : true,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false,
    "name" : "searchbar",
    "modelid" : "7BEE5399-A0C8-429E-865D-936279D7911D",
    "modeltype" : "PSSYSSEARCHBAR"
  }, {
    "codeName" : "MobMPickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "caption" : "测试实体",
      "codeName" : "TESTTestMobMDView",
      "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTTestMobMDView.json",
      "name" : "TESTTestMobMDView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSAppModule" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
      },
      "getPSAppViewEngines" : [ {
        "engineCat" : "VIEW",
        "engineType" : "MobMDView",
        "name" : "engine"
      } ],
      "getPSAppViewLogics" : [ {
        "logicTrigger" : "CUSTOM",
        "logicType" : "APPUILOGIC",
        "name" : "newdata",
        "getPSAppUILogic" : {
          "actionAfterWizard" : "DEFAULT",
          "logicType" : "PREDEFINED",
          "name" : "新建数据",
          "viewLogicType" : "APP_NEWDATA",
          "batchAddOnly" : false,
          "enableBatchAdd" : false,
          "enableWizardAdd" : false
        }
      }, {
        "logicTrigger" : "CUSTOM",
        "logicType" : "APPUILOGIC",
        "name" : "opendata",
        "getPSAppUILogic" : {
          "logicType" : "PREDEFINED",
          "name" : "打开数据",
          "viewLogicType" : "APP_OPENDATA",
          "editMode" : true
        }
      } ],
      "getPSControls" : [ {
        "codeName" : "testSearchBar",
        "controlType" : "SEARCHBAR",
        "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar.json",
        "groupMoreText" : "更多分组",
        "logicName" : "搜索栏（Test）",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "id" : "SEARCHBAR"
        },
        "getPSSearchBarFilters" : [ {
          "caption" : "类型(%)",
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "filter",
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSDEFSearchMode" : {
            "codeName" : "N_TYPE_LIKE",
            "name" : "N_TYPE_LIKE",
            "stdDataType" : 25,
            "valueOP" : "LIKE"
          },
          "getPSEditor" : {
            "editorType" : "MOBTEXT",
            "name" : "filter"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "类型(=)",
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "type",
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSDEFSearchMode" : {
            "codeName" : "N_TYPE_EQ",
            "name" : "N_TYPE_EQ",
            "stdDataType" : 25,
            "valueOP" : "EQ"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "type",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/Test__TestType.json"
            },
            "placeHolder" : "请选择输入",
            "singleSelect" : true
          },
          "width" : 200.0,
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "needCodeListConfig" : true,
          "showCaption" : false
        }, {
          "caption" : "测试实体名称(%)",
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "testname",
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSDEFSearchMode" : {
            "codeName" : "N_TESTNAME_LIKE",
            "name" : "N_TESTNAME_LIKE",
            "stdDataType" : 25,
            "valueOP" : "LIKE"
          },
          "getPSEditor" : {
            "editorType" : "MOBTEXT",
            "name" : "testname"
          },
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        }, {
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "field",
          "getPSAppDEField" : {
            "name" : "FIELD",
            "codeName" : "Field"
          },
          "getPSEditor" : {
            "editorType" : "MOBTEXT",
            "name" : "field"
          },
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        }, {
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "n_custom_eq",
          "getPSEditor" : {
            "editorType" : "MOBTEXT",
            "name" : "n_custom_eq"
          },
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        } ],
        "getPSSearchBarGroups" : [ {
          "caption" : "分组1",
          "itemType" : "GROUP",
          "name" : "group1",
          "width" : 0.0,
          "addSeparator" : false
        }, {
          "caption" : "分组2",
          "itemType" : "GROUP",
          "name" : "group2",
          "width" : 0.0,
          "addSeparator" : false,
          "defaultGroup" : true
        }, {
          "caption" : "分组3",
          "itemType" : "GROUP",
          "name" : "group3",
          "width" : 0.0,
          "addSeparator" : false
        }, {
          "caption" : "分组444444444444444444444444",
          "itemType" : "GROUP",
          "name" : "group4444444444",
          "width" : 0.0,
          "addSeparator" : false
        }, {
          "caption" : "分组55555555555555555",
          "itemType" : "GROUP",
          "name" : "group5555555555",
          "width" : 0.0,
          "addSeparator" : false
        } ],
        "quickGroupCount" : 2,
        "quickSearchMode" : 2,
        "quickSearchWidth" : 0,
        "enableFilter" : true,
        "enableGroup" : true,
        "enableQuickSearch" : true,
        "mobileSearchBar" : false,
        "name" : "searchbar",
        "modelid" : "7BEE5399-A0C8-429E-865D-936279D7911D",
        "modeltype" : "PSSYSSEARCHBAR"
      }, {
        "codeName" : "TestMobMDView_MobList",
        "controlType" : "MOBMDCTRL",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create",
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSMOBMDCTRLS/TestMobMDView_MobList.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load",
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "groupMode" : "NONE",
        "getItemPSLayoutPanel" : {
          "codeName" : "Usr0616619704",
          "controlType" : "PANEL",
          "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSPANELS/Usr0616619704.json",
          "layoutMode" : "TABLE_24COL",
          "logicName" : "List2_列表项面板",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlParam" : { },
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRootPSPanelItems" : [ {
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "page_container",
            "getPSLayout" : {
              "dir" : "column",
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            }
          } ],
          "name" : "mdctrl_itempanel",
          "modelid" : "2D469B99-3C34-4520-8BB8-7EDBCD170E63",
          "modeltype" : "PSSYSVIEWPANEL"
        },
        "logicName" : "List2",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "列表控件处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "MDCTRL"
        },
        "getPSDEDataImport" : {
          "modelref" : true,
          "id" : "DataImport"
        },
        "getPSDEListDataItems" : [ {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          }
        } ],
        "pagingSize" : 1000,
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove",
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update",
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "hasWFDataItems" : false,
        "enableGroup" : false,
        "enableRowEdit" : false,
        "enableRowEditGroup" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "noSort" : false,
        "showHeader" : true,
        "name" : "mdctrl",
        "modelid" : "490E15C0-6F3C-4ADB-8087-5CA7D02CE280",
        "modeltype" : "PSDELIST"
      }, {
        "codeName" : "TestMobMDViewrighttoolbar",
        "controlType" : "TOOLBAR",
        "logicName" : "测试多数据视图_工具栏",
        "name" : "righttoolbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "id" : "RIGHTTOOLBAR"
        },
        "toolbarStyle" : "MOBNAVRIGHTMENU",
        "xDataControlName" : "mdctrl",
        "modelid" : "D047731E-834C-48F7-90A9-75B3F9D68236",
        "modeltype" : "PSDETOOLBAR"
      }, {
        "caption" : "测试实体",
        "codeName" : "TestMobMDViewcaptionbar",
        "controlType" : "CAPTIONBAR",
        "name" : "captionbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : { }
      } ],
      "getPSDEViewCodeName" : "TestMobMDView",
      "getPSDEViewId" : "BB00B32B-49F9-43BA-935E-74998F5EDD10",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEMOBMDVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "title" : "测试多数据视图",
      "viewStyle" : "DEFAULT",
      "viewType" : "DEMOBMDVIEW",
      "xDataControlName" : "mdctrl",
      "enableDP" : true,
      "enableFilter" : true,
      "enablePullDownRefresh" : false,
      "enableQuickSearch" : true,
      "enableSearch" : true,
      "modelid" : "F2EF9364-1D93-484A-A231-90B3BB331DC3",
      "modeltype" : "PSAPPDEVIEW"
    },
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  }, {
    "caption" : "测试实体",
    "codeName" : "MobMPickupViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "MobMPickupView",
  "getPSDEViewId" : "6E7F48DE-DA74-4D4A-98FF-D4815087B53B",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBMPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体移动端多数据选择视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBMPICKUPVIEW",
  "enableDP" : true,
  "enablePullDownRefresh" : false,
  "showCaptionBar" : false,
  "modelid" : "cf108dcc6825ab45f18c8c242be1d923",
  "modeltype" : "PSAPPDEVIEW"
}